Page MenuHomePhabricator

MultimediaViewer fullscreen button tooltip incorrect after closing the viewer straight from fullscreen mode
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Open an article/page.
  2. Click an image which opens MediaViewer.
  3. Click "Show in full screen" button.
  4. Click the exit button (the cross in the top right).
  5. Re-open image in MediaViewer (step 2).
  6. Hover mouse over the full screen button. Caption will say "Exit full screen" even though you aren't in full screen.

Version: unspecified
Severity: minor

Details

Reference
bz72843

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:55 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz72843.
bzimport added a subscriber: Unknown Object (MLST).
Stickee created this task.Nov 1 2014, 2:24 AM

Not here (Firefox 33). Please provide an example to reproduce and browser information.

(In reply to Andre Klapper from comment #1)

Not here (Firefox 33). Please provide an example to reproduce and browser
information.

I've tried it on Chrome, IE11 and Firefox 33 the same issue occurs. Here's a video: http://youtu.be/lzL1qKs2tfE

Tgr added a comment.Nov 2 2014, 9:04 AM

Confirmed on Chrome. Works correctly when exiting fullscreen with Esc or the defullscreen icon, but not when exiting with the close icon.

Gilles triaged this task as High priority.Nov 24 2014, 1:42 PM
Gilles lowered the priority of this task from High to Normal.
Gilles added a subscriber: Gilles.
Tgr renamed this task from MultimediaViewer full screen caption incorrect to MultimediaViewer fullscreen button tooltip incorrect after closing the viewer straight from fullscreen mode.Nov 26 2014, 12:03 AM
Tgr set Security to None.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:34 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:34 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Jdlrobson lowered the priority of this task from Normal to Low.Feb 3 2016, 8:29 PM
Jdlrobson added a project: good first bug.
Jdlrobson added a subscriber: Jdlrobson.

Still an issue but seems minor.

Change 274321 had a related patch set uploaded (by Ferveo):
Trigger fullscreen-change event when closing lightbox interface

https://gerrit.wikimedia.org/r/274321

ferveo added a subscriber: ferveo.Mar 2 2016, 1:37 AM
ferveo added a comment.Mar 2 2016, 1:57 AM

Hi. I took this as my very first task as a new MediaWiki-hacker. I hope all those days going through the documentation/manuals paid off and hopefully I at least submitted the patch (even though it's a one-liner) correctly.

Change 274321 merged by jenkins-bot:
Trigger fullscreen-change event when closing lightbox interface

https://gerrit.wikimedia.org/r/274321

Jdlrobson closed this task as Resolved.Mar 4 2016, 12:21 AM
Jdlrobson claimed this task.

Thanks @ferveo works a treat! Great work on your first patch :D

Jdlrobson reassigned this task from Jdlrobson to ferveo.Mar 4 2016, 12:21 AM